# serializers.py in Osina app
from rest_framework import serializers
from osinacore.models import *

class UserSerializer(serializers.ModelSerializer):
    class Meta:
        model = User
        fields = ['username', 'email', 'password']

class CustomerProfileSerializer(serializers.ModelSerializer):
    user = UserSerializer(required=True)

    class Meta:
        model = CustomerProfile
        fields = ['user', 'mobile_number']